import { Application } from "express";
import { ILinkResponse } from "../../model/Link";
import { IMockProject } from "../../model/MockProject";
export interface IUsing2InUseRequest {
    inUse: {
        nearest: boolean;
        types?: string[];
        uri: string;
    };
}
export interface IUsing2InUseManyRequest {
    inUseMany: {
        nearest: boolean;
        types?: string[];
        uris: string[];
    };
}
export interface IUsing2InUseResponse {
    entries: ILinkResponse[];
}
export interface IUsing2InUseManyResponse {
    useMany: IUseMany[];
}
export interface IUseMany {
    entries: ILinkResponse[];
    uri: string;
}
export declare const using2: {
    register(app: Application, project: IMockProject): Application;
};
