"use strict";
exports.__esModule = true;
exports.isAuthorized = exports.authorize = void 0;
// (C) 2007-2019 GoodData Corporation
var lodash_1 = require("lodash");
var Session_1 = require("../../constants/Session");
function authorize(session, user) {
    session[Session_1.CURRENT_USER] = user.email;
}
exports.authorize = authorize;
function isAuthorized(session) {
    return lodash_1.has(session, Session_1.CURRENT_USER);
}
exports.isAuthorized = isAuthorized;
//# sourceMappingURL=authorization.js.map