import { IMockProject } from "../../model/MockProject";
import { IMetadataObject } from "../../model/MetadataObject";
export declare function filterByTitle<T>(filter: string, getTitle: (item: T) => string, items: T[]): T[];
export declare function filterByAuthor<T>(author: string, getAuthor: (item: T) => string, items: T[]): T[];
export declare function filterByUri<T>(uris: string[], getUri: (item: T) => string, items: T[]): T[];
export declare function filterAvailable(project: IMockProject, bucketItems: string[], items: IMetadataObject[]): IMetadataObject[];
