import { WrappedMetadataObject } from "../../model";
import { IMetadataObject } from "../../model/MetadataObject";
export declare function getIdentifier(item: IMetadataObject): string;
export declare function getTitle(item: IMetadataObject): string;
export declare function getUri(item: IMetadataObject): string;
export declare function getTags(item: IMetadataObject): string;
export declare function getAuthor(item: IMetadataObject): string;
export declare function parseTags(item: IMetadataObject): string[];
export interface IIncludeExclude {
    includeObjectsWithTags?: string[];
    excludeObjectsWithTags?: string[];
}
export declare function filterItem<T extends IMetadataObject>(filter: IIncludeExclude, item: T): boolean;
export declare function filterByTags<T extends IMetadataObject>(request: IIncludeExclude, items: T[]): T[];
export declare function getWrappedMetadataObject(object: IMetadataObject): WrappedMetadataObject;
