import { Application } from "express";
import { IMockProject } from "../../model/MockProject";
import { AFM, Execution } from "@gooddata/typings";
export interface IMockBuilderPayload {
    execution: AFM.IExecution;
    executionResponse: Execution.IExecutionResponseWrapper;
    executionResult: Execution.IExecutionResultWrapper;
}
export declare const mockBuilder: {
    register(app: Application, project: IMockProject): Application;
};
