import { Application } from "express";
import { IMockProject } from "../../model/MockProject";
export interface ICsvDataSet {
    dataset: {
        datasetId: string;
        datasetLoadStatus: string;
        loadedRowCount: number;
        name: string;
        firstSuccessfulUpdate: {
            created: string;
            owner: {
                fullName: string;
                login: string;
                profileUri: string;
            };
        };
    };
}
export interface ICsvDataSetsResponse {
    datasets: {
        items: ICsvDataSet[];
    };
}
export declare const csv: {
    register(app: Application, project: IMockProject): Application;
};
