/**
 * Calculates size of result from headers. Previously, code was calculating size from data - which is not
 * entirely correct as attribute-only AFM will generate headers and empty data and the total size will be that
 * of the number of headers.
 *
 * @param headers headers in dimensions - type is not really needed here, looking at cardinalities
 */
export declare function getSizeFromHeaders(headers: any[][][]): number[];
