"use strict";
exports.__esModule = true;
exports.getDefaultResultSpec = void 0;
function getDefaultResultSpec(afm) {
    if (afm.measures.length && afm.attributes.length) {
        return {
            dimensions: [
                {
                    itemIdentifiers: ["measureGroup"]
                },
                {
                    itemIdentifiers: afm.attributes.map(function (attribute) { return attribute.localIdentifier; })
                },
            ]
        };
    }
    return {
        dimensions: [
            {
                itemIdentifiers: ["measureGroup"]
            },
        ]
    };
}
exports.getDefaultResultSpec = getDefaultResultSpec;
//# sourceMappingURL=resultSpec.js.map