import { ExecuteAFM as AFM } from "@gooddata/typings";
import * as e from "express";
import { IConfig } from "../../model/Config";
import { IMockProject } from "../../model/MockProject";
export interface IVisualizationExecution {
    visualizationExecution: {
        reference: string;
        resultSpec?: AFM.IResultSpec;
        filters?: AFM.CompatibilityFilter[];
    };
}
export declare function getAfmExecutionForVisualization(project: IMockProject, visExecution: IVisualizationExecution): AFM.IExecution;
export declare const executeVisualization: {
    register(app: e.Application, project: IMockProject, config: IConfig): e.Application;
};
