import { Application } from "express";
import { IExecution, ISimpleExecution } from "../../model/Executions";
import { IMockProject } from "../../model/MockProject";
import { IConfig } from "../../model/Config";
export declare function findMatchingExecution(requestedExecution: ISimpleExecution, availableExecutions: IExecution[]): IExecution;
declare type IDGenerator = (s?: string) => string;
export declare const executions: {
    register(app: Application, project: IMockProject, config: IConfig, idGenerator?: IDGenerator): Application;
};
export {};
