import { Application } from "express";
import { IMockProject } from "../../model/MockProject";
import { IConfig } from "../../model/Config";
declare type IDGenerator = (prefix?: string) => string;
export interface IExportResponse {
    uri: string;
}
export declare function cleanOldCache(lifetime?: number): void;
export declare function hasCachedResult(key: string): boolean;
export declare const exportReport: {
    register(app: Application, project: IMockProject, config: IConfig, idGenerator?: IDGenerator): Application;
};
export {};
