"use strict";
exports.__esModule = true;
exports.featureFlags = void 0;
var HttpStatusCodes = require("http-status-codes");
exports.featureFlags = {
    register: function (app, project) {
        app.get("/gdc/internal/account/profile/featureFlags", function (_, res) {
            var body = {
                featureFlags: project.featureFlags
            };
            res.status(HttpStatusCodes.OK).json(body);
        });
        app.get("/gdc/app/projects/" + project.project.meta.identifier + "/featureFlags", function (_req, res) {
            var body = {
                featureFlags: project.featureFlags
            };
            res.status(HttpStatusCodes.OK).json(body);
        });
        return app;
    }
};
//# sourceMappingURL=featureFlags.js.map