"use strict";
exports.__esModule = true;
exports.projectConfigs = void 0;
// (C) 2019 GoodData Corporation
var http_status_codes_1 = require("http-status-codes");
exports.projectConfigs = {
    register: function (app, project) {
        app.get("/gdc/app/projects/" + project.project.meta.identifier + "/config", function (_req, res) {
            res.status(http_status_codes_1.OK).json({
                settings: {
                    items: project.projectConfigs
                }
            });
        });
        return app;
    }
};
//# sourceMappingURL=projectConfigs.js.map