"use strict";
exports.__esModule = true;
exports.projects = void 0;
var HttpStatusCodes = require("http-status-codes");
exports.projects = {
    register: function (app, project) {
        app.get("/gdc/internal/projects", function (_req, res) {
            var body = {
                userProjects: {
                    items: [],
                    paging: {
                        count: 0,
                        limit: 100,
                        offset: 0,
                        totalCount: 0
                    }
                }
            };
            return res.status(HttpStatusCodes.OK).send(body);
        });
        app.get("/gdc/projects/" + project.project.meta.identifier + "/styleSettings", function (_req, res) {
            var body = {
                styleSettings: project.styleSettings
            };
            res.status(HttpStatusCodes.OK).send(body);
        });
        return app;
    }
};
//# sourceMappingURL=projects.js.map