"use strict";
exports.__esModule = true;
exports.getDisplayFormByUri = exports.getDisplayFormByIdentifier = exports.isAttributeDisplayForm = void 0;
function isAttributeDisplayForm(object) {
    return object.meta.category === "attributeDisplayForm";
}
exports.isAttributeDisplayForm = isAttributeDisplayForm;
function getDisplayFormByIdentifier(displayForms, identifier) {
    return displayForms.find(function (displayForm) { return displayForm.meta.identifier === identifier; });
}
exports.getDisplayFormByIdentifier = getDisplayFormByIdentifier;
function getDisplayFormByUri(displayForms, uri) {
    return displayForms.find(function (displayForm) { return displayForm.meta.uri === uri; });
}
exports.getDisplayFormByUri = getDisplayFormByUri;
//# sourceMappingURL=AttributeDisplayForm.js.map