import { IMetadataObject } from "./MetadataObject";
export declare type ExpressionType = "SUM" | "MAX" | "MIN" | "AVG";
export interface IExpression {
    data: string;
    function?: ExpressionType;
    type: string;
}
export interface IFact extends IMetadataObject {
    content: {
        expr: IExpression[];
        folders?: string[];
    };
}
export interface IWrappedFact {
    fact: IFact;
}
export declare function isFact(object: IMetadataObject): object is IFact;
