export interface ILinkResponse {
    author?: string;
    category?: string;
    contributor?: string;
    created?: Date;
    deprecated?: string;
    help?: string;
    identifier?: string;
    isProduction?: number;
    link: string;
    locked?: number;
    projectTemplate?: string;
    sharedWithSomeone?: number;
    summary?: string;
    tags?: string;
    title?: string;
    unlisted?: number;
    updated?: Date;
}
export interface ILink {
    author?: string;
    category?: string;
    contributor?: string;
    created?: Date;
    deprecated?: boolean;
    help?: string;
    identifier?: string;
    isProduction?: boolean;
    link: string;
    locked?: boolean;
    projectTemplate?: string;
    sharedWithSomeone?: boolean;
    summary?: string;
    tags?: string;
    title?: string;
    unlisted?: boolean;
    updated?: Date;
}
