"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
exports.__esModule = true;
exports.createFeatureFlags = void 0;
function createFeatureFlags(schema) {
    var defaultFeatureFlags = {
        oldHeader: false,
        enableCsvUploader: true,
        disableDefaultBulkUpload: true,
        mufTable: false,
        enableAnalyticalDashboardsVisualizations: true,
        enableIncrementalLoad: true,
        analyticalDesigner: true,
        enableAnalyticalDashboards: true,
        newNavigation: false
    };
    if (schema.featureFlags) {
        return __assign(__assign({}, defaultFeatureFlags), schema.featureFlags);
    }
    return defaultFeatureFlags;
}
exports.createFeatureFlags = createFeatureFlags;
//# sourceMappingURL=FeatureFlagsBuilder.js.map