"use strict";
exports.__esModule = true;
exports.createUsers = void 0;
var DEFAULT_USER = {
    identifier: "john-doe",
    email: "john.doe@gooddata.com"
};
function ensureUser(users) {
    if (users === void 0) { users = []; }
    return users.length ? users : [DEFAULT_USER];
}
function createUser(user) {
    return {
        identifier: user.identifier,
        companyName: "Birst",
        email: user.email || "john.doe@gooddata.com",
        firstName: "John",
        lastName: "Doe",
        login: user.email,
        phoneNumber: "123 123 123",
        position: null,
        separators: user.separators
    };
}
function createUsers(schema) {
    return ensureUser(schema.users).map(createUser);
}
exports.createUsers = createUsers;
//# sourceMappingURL=UserBuilder.js.map