import { ExecuteAFM as AFM, Execution } from "@gooddata/typings";
export declare type StatusCode = number;
export declare type ISchemaAfmExecutionResponse = Execution.IExecutionResponseWrapper | StatusCode;
export interface ISchemaAfmExecution {
    _description?: string;
    execution: AFM.IExecution;
    executionResponse?: ISchemaAfmExecutionResponse;
    executionResult?: Execution.IExecutionResultWrapper | StatusCode;
}
export declare function isErrorResponse(response: ISchemaAfmExecutionResponse): response is StatusCode;
export declare function isExecutionResponseWrapper(response: ISchemaAfmExecutionResponse): response is Execution.IExecutionResponseWrapper;
