import { Identifier } from "./Identifier";
export declare type SchemaAttributeDisplayFormType = "text" | "hyperlink" | "geoPin";
export interface ISchemaAttributeDisplayForm {
    identifier: string;
    type: SchemaAttributeDisplayFormType;
}
export interface ISchemaAttribute {
    identifier?: Identifier;
    title: string;
    elements: string[];
    tags?: string;
    drillDownStepAttributeDF?: string;
    defaultDisplayFormType?: string;
    additionalDisplayForms?: ISchemaAttributeDisplayForm[];
}
