"use strict";
exports.__esModule = true;
exports.debug = void 0;
// (C) 2007-2019 GoodData Corporation
function isVerbose() {
    return process.argv.find(function (arg) { return arg === "-v" || arg === "--verbose"; });
}
function debug() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    if (isVerbose()) {
        console.debug.apply(console, args); // tslint:disable-line:no-console
    }
}
exports.debug = debug;
//# sourceMappingURL=log.js.map