"use strict";
exports.__esModule = true;
exports.webalize = void 0;
// (C) 2007-2019 GoodData Corporation
var isString = function (value) { return typeof value === "string"; };
var isNumber = function (value) { return typeof value === "number"; };
/**
 * Replaces non-alphanumerical characters with underscore.
 */
function webalize(str) {
    var isValid = isString(str) || isNumber(str);
    var s = isValid ? str.toString() : "";
    return s.replace(/[^a-zA-Z0-9]/g, "_").toLowerCase();
}
exports.webalize = webalize;
//# sourceMappingURL=string.js.map