// (C) 2007-2019 GoodData Corporation
export const WRONG_STRUCTURE = {
    error: {
        trace:
            "Trace begun at /opt/common/lib/Apache/REST.pm line 1419\nApache::REST::_check_tagged_structures" +
            "('Internal=HASH(0x7efd439bf8a8)', 'HASH(0x7efd43ac4460)', '', 'POST', 0, 0, 1, 0) called at " +
            "/opt/common/lib/Apache/REST.pm line 248\neval {...} at /opt/common/lib/Apache/REST.pm line 178\n" +
            "Apache::REST::service('Internal=HASH(0x7efd439bf8a8)', 'Apache2::RequestRec=SCALAR(0x7efd43aefeb0)') " +
            "called at /opt/common/lib/Apache/REST.pm line 146\nApache::REST::handler('Internal', " +
            "'Apache2::RequestRec=SCALAR(0x7efd43aefeb0)') called at -e line 0\neval {...} at -e line 0\n",
        parameters: [
            "dateDataSetsRequest",
            "TAGGED OBJECT INCORRECTLY CREATED OR JUST CHECKING ALTERNATIVE AGAINST " + "WRONG STRUCTURE",
        ],
        requestId: "SdMZoD0fKaW3XLrH:rb4r413j7tw5455i",
        component: "Apache::REST",
        errorClass: "GDC::Exception::User",
        message: "Checking '%s', result %s",
    },
};

export const STRUCTURE_NOT_DEFINED = {
    error: {
        trace:
            "Trace begun at /opt/common/lib/Apache/REST.pm line 1419\nApache::REST::_check_tagged_structures" +
            "('Internal=HASH(0x7efd43ba2490)', 'HASH(0x7efd43b9a4b0)', '', 'POST', 0, 0, 1, 0) called at " +
            "/opt/common/lib/Apache/REST.pm line 248\neval {...} at /opt/common/lib/Apache/REST.pm line 178\n" +
            "Apache::REST::service('Internal=HASH(0x7efd43ba2490)', 'Apache2::RequestRec=SCALAR(0x7efd43b93330)') " +
            "called at /opt/common/lib/Apache/REST.pm line 146\nApache::REST::handler('Internal', " +
            "'Apache2::RequestRec=SCALAR(0x7efd43b93330)') called at -e line 0\neval {...} at -e line 0\n",
        parameters: [
            "dateDataSetsRequestMustBeHere",
            "Structure with tag name 'dateDataSetsRequestMustBeHere' " + "is not defined.",
        ],
        requestId: "LuYkeJuvi5fMVhfn:2lapquvyi03ce2pp",
        component: "Apache::REST",
        errorClass: "GDC::Exception::User",
        message: "Checking '%s', result %s",
    },
};

export const INVALID_STRUCTURE = {
    error: {
        trace:
            "Trace begun at /opt/common/lib/Apache/REST.pm line 1419\nApache::REST::_check_tagged_structures" +
            "('Internal=HASH(0x7efd43b52a30)', 'HASH(0x7efd43b36250)', '', 'POST', 0, 0, 1, 0) called at " +
            "/opt/common/lib/Apache/REST.pm line 248\neval {...} at /opt/common/lib/Apache/REST.pm line 178\n" +
            "Apache::REST::service('Internal=HASH(0x7efd43b52a30)', 'Apache2::RequestRec=SCALAR(0x7efd43af2928)') " +
            "called at /opt/common/lib/Apache/REST.pm line 146\nApache::REST::handler('Internal', " +
            "'Apache2::RequestRec=SCALAR(0x7efd43af2928)') called at -e line 0\neval {...} at -e line 0\n",
        parameters: [
            "dateDataSetsRequest",
            "STRUCTURE INVALID - name of structure:'DateDataSetsRequest'" +
                "(tag:dateDataSetsRequest),  /dateDataSetsRequest: Object 'ARRAY(0x7efd43b53000)' should be a hash " +
                "reference, ref is ARRAY",
        ],
        requestId: "2szuZ424xc8AfJ7J:elktefqu7fxe1wx7",
        component: "Apache::REST",
        errorClass: "GDC::Exception::User",
        message: "Checking '%s', result %s",
    },
};
