// (C) 2007-2019 GoodData Corporation
import { IError } from "../model/Error";

export const INVALID_ELEMENT_TYPE: IError = {
    error: {
        errorClass: "com.gooddata.commons.web.converter.JacksonMappingException",
        trace: "",
        message:
            "Could not read document: Can not deserialize instance of <hidden>String[] out of END_OBJECT token\n" +
            " at [Source: <hidden>PushbackInputStream@70af2de0; line: 1, column: 17]; nested exception is" +
            " <hidden>JsonMappingException: Can not deserialize instance of <hidden>String[] out of END_OBJECT token\n at" +
            " [Source: <hidden>PushbackInputStream@70af2de0; line: 1, column: 17]",
        component: "Webapp",
        errorId: "d3f37788-6faa-4f85-a370-bdca68b67a7b",
        errorCode: "gdc755",
        parameters: [],
    },
};

export const INVALID_TYPES_IN_ELEMENT: IError = {
    error: {
        errorClass: "com.gooddata.json.validator.exception.MalformedMessageException",
        trace: "",
        message:
            'Malformed request: [[[line: 1, column: 18] Invalid type. Expected type is "string", [line: 1,' +
            ' column: 21] Invalid type. Expected type is "string", [line: 1, column: 24] Invalid type. Expected type is' +
            ' "string", [line: 1, column: 27] Invalid type. Expected type is "string", [line: 1, column: 30] Invalid' +
            ' type. Expected type is "string", [line: 1, column: 33] Invalid type. Expected type is "string"]]',
        component: "Webapp",
        errorId: "092202c9-9a32-4ee4-9ffd-8c86ea5f2263",
        errorCode: "gdc702",
        parameters: [],
    },
};
