// (C) 2007-2019 GoodData Corporation
import { IError } from "../model/Error";

export class ValidationError extends Error {
    private validationError: IError;

    constructor(validationError: IError) {
        super("Incoming request is malformed");

        this.validationError = validationError;
        Object.setPrototypeOf(this, ValidationError.prototype);
    }

    public getValidationError(): IError {
        return this.validationError;
    }
}
