// (C) 2007-2019 GoodData Corporation
import * as request from "supertest";
import { createEndpoint } from "../../../utils/tests";
import { usedby2 } from "../usedby2";
import { schema } from "../../../schema/fixtures/dummySchema";

const app = createEndpoint(usedby2, schema);

it("should return empty response", () => {
    return request(app)
        .post("/gdc/md/mockproject/usedby2")
        .set("Content-Type", "application/json")
        .send({
            inUseMany: {
                nearest: 1,
                uris: ["/gdc/md/mockproject/obj/my_amount"],
                types: ["kpiAlert"],
            },
        })
        .expect(200)
        .then(res => {
            const response = res.body;

            expect(response).toEqual({
                useMany: [],
            });
        });
});
