// (C) 2007-2019 GoodData Corporation
import { Application } from "express";
import * as HttpStatusCodes from "http-status-codes";
import { IMockProject } from "../../model/MockProject";

export const usedby2 = {
    register(app: Application, project: IMockProject) {
        app.post(`/gdc/md/${project.project.meta.identifier}/usedby2`, (_req, res) => {
            res.status(HttpStatusCodes.OK).json({
                useMany: [],
            });
        });

        return app;
    },
};
