// (C) 2007-2019 GoodData Corporation
import { has } from "lodash";
import { IUser } from "../../model/User";
import { CURRENT_USER } from "../../constants/Session";

export function authorize(session: Express.Session, user: IUser): void {
    session[CURRENT_USER] = user.email;
}

export function isAuthorized(session: Express.Session): boolean {
    return has(session, CURRENT_USER);
}
