// (C) 2007-2019 GoodData Corporation
import { sortBy } from "lodash";

export interface IOrder {
    asc: "asc";
    desc: "desc";
}

export function orderByTitle<T>(order: keyof IOrder = "asc", getTitle: (item: T) => string, items: T[]): T[] {
    return order === "asc" ? sortBy(items, getTitle) : sortBy(items, getTitle).reverse();
}
