// (C) 2007-2019 GoodData Corporation
import { Execution } from "@gooddata/typings";

export type Table = TableDataType[][];

export type TableDataType = string | Execution.IResultAttributeHeaderItem;

export function isAttributeHeaderItem(
    dataType: TableDataType,
): dataType is Execution.IResultAttributeHeaderItem {
    return !!(dataType as Execution.IResultAttributeHeaderItem).attributeHeaderItem;
}
