// (C) 2019 GoodData Corporation
import { OK } from "http-status-codes";

import { Application } from "express";
import { IMockProject } from "../../model/MockProject";

export const projectConfigs = {
    register(app: Application, project: IMockProject) {
        app.get(`/gdc/app/projects/${project.project.meta.identifier}/config`, (_req, res) => {
            res.status(OK).json({
                settings: {
                    items: project.projectConfigs,
                },
            });
        });

        return app;
    },
};
