// (C) 2007-2019 GoodData Corporation
import { IMetadataObject } from "./MetadataObject";

export interface IProject extends IMetadataObject {
    content: {
        guidedNavigation?: boolean;
        driver?: string;
        authorizationToken?: string;
        environment?: string;
    };
}

export interface IWrappedProject {
    project: IProject;
}

export function getProjectId(project: IProject) {
    return project.meta.identifier;
}
