// (C) 2007-2019 GoodData Corporation
import { ISchemaProject } from "../model/SchemaProject";
import { IProject } from "../../model/Project";
import { ISchema } from "../model/Schema";

const PROJECT_DEFAULTS: ISchemaProject = {
    identifier: "mockproject",
    title: "Mock project",
};

export function createProject(schema: ISchema): IProject {
    const project: ISchemaProject = {
        ...PROJECT_DEFAULTS,
        ...schema.project,
    };

    return {
        content: {},

        meta: {
            title: project.title,
            identifier: project.identifier,
        },
    };
}
