// (C) 2007-2019 GoodData Corporation
import { buildProject } from "../../builder";
import { schema } from "../../fixtures/dummySchema";

it("should build facts", () => {
    expect(buildProject(schema).groups[0].facts).toEqual([
        {
            content: {
                expr: [
                    {
                        data: "/gdc/md/mockproject/obj/fact.amount_data",
                        type: "col",
                    },
                ],
            },

            meta: {
                category: "fact",
                identifier: "fact.amount",
                title: "Amount",
                uri: "/gdc/md/mockproject/obj/fact.amount",
            },
        },
    ]);
});
