// (C) 2007-2019 GoodData Corporation
import { buildProject } from "../../builder";
import { schema } from "../../fixtures/dummySchema";

it("should build project", () => {
    const projectSchema = {
        ...schema,
        project: {
            title: "My secret project",
            identifier: "mymockproject",
        },
    };
    expect(buildProject(projectSchema).project).toEqual({
        content: {},

        meta: {
            title: "My secret project",
            identifier: "mymockproject",
        },
    });
});
