// (C) 2007-2019 GoodData Corporation
import { Identifier } from "../model/Identifier";

export const ensureItems = <T>(items: T[] = []): T[] => items;

export const ensureIdentifier = (object: { identifier?: Identifier }, defaultIdentifier: string) =>
    String(object.identifier || defaultIdentifier);
