// (C) 2007-2019 GoodData Corporation
import { ISchemaFilterContext } from "./SchemaFilterContext";
import { SchemaWidget } from "./SchemaWidget";
import { LayoutSchema } from "../model/layout/LayoutSchema";
import { IDashboardDateFilterConfigSchema } from "../model/DateFilterConfigSchema";

export interface ISchemaAnalyticalDashboard {
    filterContext?: ISchemaFilterContext;
    identifier?: string;
    title: string;
    widgets?: SchemaWidget[];
    layout?: LayoutSchema;
    dateFilterConfig?: IDashboardDateFilterConfigSchema;
}
