// (C) 2007-2021 GoodData Corporation
import { Identifier } from "./Identifier";

export type SchemaAttributeDisplayFormType = "text" | "hyperlink" | "geoPin";

export interface ISchemaAttributeDisplayForm {
    identifier: string;
    type: SchemaAttributeDisplayFormType;
}

export interface ISchemaAttribute {
    identifier?: Identifier;
    title: string;
    elements: string[];
    tags?: string;
    drillDownStepAttributeDF?: string;
    defaultDisplayFormType?: string;
    additionalDisplayForms?: ISchemaAttributeDisplayForm[];
}
