// (C) 2007-2019 GoodData Corporation
export interface IObjectMapping {
    [uriOrIdentifier: string]: "attribute" | "metric";
}

export interface ISchemaExecution {
    columns: string[];
    objectMapping?: IObjectMapping;
    result?: "ok" | "empty" | "too large" | "not computable";
    resultValues?: number[];
    pollCount?: number;
    where?: {
        [key: string]: {
            $between: [number, number] | [string, string];
            $granularity: string;
        };
    };
}
