import { Application } from "express";
import { IMockProject } from "../../model/MockProject";
export interface IIdentifier {
    identifier: string;
    uri: string;
}
export interface IIdentifierToUriRequest {
    identifierToUri: string[];
}
export interface IUriToIdentifierRequest {
    uriToIdentifier: string[];
}
export interface IIdentifiersResponse {
    identifiers: IIdentifier[];
}
export declare type IdentifiersRequest = IIdentifierToUriRequest | IUriToIdentifierRequest;
export declare const identifiers: {
    register(app: Application, project: IMockProject): Application;
};
