import { Application } from "express";
import { IMockProject } from "../../model/MockProject";
import { CatalogType } from "./catalog";
export interface ICatalogItem {
    readonly title: string;
    readonly identifier: string;
    readonly type: CatalogType;
    readonly summary?: string;
    readonly csvDataSet?: string;
    readonly expression?: string;
    readonly format?: string;
    readonly groups?: ReadonlyArray<string>;
    readonly links: {
        readonly self: string;
        readonly defaultDisplayForm?: string;
    };
}
export declare const organizedCatalog: {
    register(app: Application, project: IMockProject): Application;
};
