import { Application, Request } from "express";
export interface IMockResponseConfig {
    params?: {
        [key: string]: any;
    };
    query?: {
        [key: string]: any;
    };
    headers?: {
        [key: string]: any;
    };
    body?: {
        [key: string]: any;
    };
    response: any;
}
export declare function isMockRequestMatching(req: Request, config: IMockResponseConfig): boolean;
export declare function getMatchingResponse(req: Request, mocks?: IMockResponseConfig[]): IMockResponseConfig;
declare type HttpMethod = "get" | "post";
export declare function mock(app: Application, method: HttpMethod, uri: string, mockConfigs: IMockResponseConfig[], defaultMockConfig?: IMockResponseConfig): void;
export {};
