import { Application } from "express";
import { ISchema } from "../schema/model/Schema";
import { IConfig } from "../model/Config";
export interface IOptions {
    schema: ISchema[];
    config?: IConfig;
    absolutePathToRootMockFile?: string;
    suffixOfMockFilesImportedInRootMockFile?: string;
    getSchema?: (mockObject: any) => ISchema[];
}
export declare function register(app: Application, options: IOptions): Application;
