import { ExecuteAFM as AFM } from "@gooddata/typings";
import { ISchemaAfmExecution } from "../../../schema/model/SchemaAfmExecution";
export declare function isILocalIdentifierQualifier(objQualifier: AFM.Qualifier): objQualifier is AFM.ILocalIdentifierQualifier;
/**
 * Compares two execution objects ignoring differences in identifiers
 *
 * This is necessary due to the fact that our client apps (namely AD) creates
 * unique local identifiers every single session.
 */
export declare function isRelativelyEqual(execution: AFM.IExecution, other: AFM.IExecution): boolean;
export declare function relativizeMockedExecutionLocalIdentifiers(mockedExecution: ISchemaAfmExecution): ISchemaAfmExecution;
