export declare type RandomDataGeneratorFunction = () => string;
export interface IRandomDataGeneratorsHash {
    [key: string]: RandomDataGeneratorFunction;
}
export declare function createRandomGeneratorsPool(): IRandomDataGeneratorsHash;
export declare function getRandomDataGenerator(generators: IRandomDataGeneratorsHash, baseSeed?: string, secondarySeed?: string): RandomDataGeneratorFunction;
export declare function getRandomDataValue(generators: IRandomDataGeneratorsHash, baseSeed?: string, secondarySeed?: string): string;
