import { IMetadataObject } from "./MetadataObject";
export interface IAttributeDisplayForm extends IMetadataObject {
    content: {
        expression: string;
        /** Uri of parent attribute */
        formOf: string;
        ldmexpression?: string;
        type?: string;
        default?: number;
    };
    links: {
        elements: string;
    };
}
export interface IWrappedAttributeDisplayForm {
    attributeDisplayForm: IAttributeDisplayForm;
}
export declare function isAttributeDisplayForm(object: IMetadataObject): object is IAttributeDisplayForm;
export declare function getDisplayFormByIdentifier(displayForms: IAttributeDisplayForm[], identifier: string): IAttributeDisplayForm;
export declare function getDisplayFormByUri(displayForms: IAttributeDisplayForm[], uri: string): IAttributeDisplayForm;
