import { ISchemaExecution } from "../schema/model/SchemaExecution";
export declare type IExecution = ISchemaExecution;
export interface IMetricDefinition {
    identifier: string;
    expression: string;
    format?: string;
    title?: string;
}
export interface IDefinition {
    metricDefinition: IMetricDefinition;
}
export interface ISimpleExecution {
    columns: string[];
    orderBy?: any[];
    filters?: any[];
    definitions?: IDefinition[];
    where?: {
        [key: string]: any;
    };
}
export interface ISimpleExecutionRequest {
    execution: ISimpleExecution;
}
