"use strict";
exports.__esModule = true;
exports.getMetricByUri = exports.getMetricByIdentifier = exports.isMetric = void 0;
function isMetric(object) {
    return object.meta.category === "metric";
}
exports.isMetric = isMetric;
function getMetricByIdentifier(metrics, identifier) {
    return metrics.find(function (metric) { return metric.meta.identifier === identifier; });
}
exports.getMetricByIdentifier = getMetricByIdentifier;
function getMetricByUri(metrics, uri) {
    return metrics.find(function (metric) { return metric.meta.uri === uri; });
}
exports.getMetricByUri = getMetricByUri;
//# sourceMappingURL=Metric.js.map