export interface IStyleSettingsResponse {
    styleSettings: IStyleSettings;
}
export interface IStyleSettings {
    chartPalette: IColorPalette;
    chartFont?: IChartFont;
}
export interface IChartFont {
    family: string;
}
export declare type IColorPalette = IColorPaletteItem[];
export interface IColor {
    r: number;
    g: number;
    b: number;
}
export interface IColorPaletteItem {
    guid: string;
    fill: IColor;
}
