"use strict";
exports.__esModule = true;
exports.extendedTabularResultUri = exports.tabularResultUri = exports.loginStateUri = exports.profileUri = exports.projectUri = exports.dataUri = exports.elementUri = exports.elementsUri = exports.objectUri = void 0;
// (C) 2007-2019 GoodData Corporation
exports.objectUri = function (projectId, objectId) { return "/gdc/md/" + projectId + "/obj/" + objectId; };
exports.elementsUri = function (projectId, attributeId) {
    return exports.objectUri(projectId, attributeId) + "/elements";
};
exports.elementUri = function (projectId, attributeId, elementId) {
    return exports.elementsUri(projectId, attributeId) + "?id=" + elementId;
};
exports.dataUri = function (projectId, factId) { return exports.objectUri(projectId, factId) + "_data"; };
exports.projectUri = function (projectId) { return "/gdc/projects/" + projectId; };
exports.profileUri = function (profileId) { return "/gdc/account/profile/" + profileId; };
exports.loginStateUri = function (profileId) { return "/gdc/account/login/" + profileId; };
exports.tabularResultUri = function (projectId, executionId) {
    return "/gdc/internal/projects/" + projectId + "/experimental/executions/" + executionId;
};
exports.extendedTabularResultUri = function (projectId, executionId) {
    return "/gdc/internal/projects/" + projectId + "/experimental/executions/extendedResults/" + executionId;
};
//# sourceMappingURL=routes.js.map