"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
exports.__esModule = true;
exports.createProject = void 0;
var PROJECT_DEFAULTS = {
    identifier: "mockproject",
    title: "Mock project"
};
function createProject(schema) {
    var project = __assign(__assign({}, PROJECT_DEFAULTS), schema.project);
    return {
        content: {},
        meta: {
            title: project.title,
            identifier: project.identifier
        }
    };
}
exports.createProject = createProject;
//# sourceMappingURL=ProjectBuilder.js.map