"use strict";
exports.__esModule = true;
exports.createProjectPermissions = void 0;
// (C) 2007-2019 GoodData Corporation
var lodash_1 = require("lodash");
var DefaultProjectPermissions_1 = require("../../constants/DefaultProjectPermissions");
function createProjectPermissions(schema) {
    var permissions = schema.project.permissions;
    var permissionsWithStringTypedValues = {};
    if (permissions) {
        Object.keys(permissions).forEach(function (key) {
            permissionsWithStringTypedValues[key] = permissions[key] ? "1" : "0";
        });
    }
    return lodash_1.assign({}, DefaultProjectPermissions_1.DEFAULT_PROJECT_PERMISSIONS, permissionsWithStringTypedValues);
}
exports.createProjectPermissions = createProjectPermissions;
//# sourceMappingURL=ProjectPermissionsBuilder.js.map