import { ISchema } from "../model/Schema";
export interface IStyleSettings {
    chartPalette: IColorPalette;
    chartFont?: IChartFont;
}
export interface IChartFont {
    family: string;
}
export declare type IColorPalette = IColorPaletteItem[];
export interface IColor {
    r: number;
    g: number;
    b: number;
}
export interface IColorPaletteItem {
    guid: string;
    fill: IColor;
}
export declare function createStyleSettings(schema: ISchema): import("../../model/StyleSetting").IStyleSettings;
