import { IFeatureFlags } from "../../model/FeatureFlags";
import { IGroupMeta } from "../../model/MockProject";
import { ISchemaAttribute } from "./SchemaAttribute";
import { ISchemaDateDataSet } from "./SchemaDateDataSet";
import { ISchemaFact } from "./SchemaFact";
import { ISchemaMetric } from "./SchemaMetric";
export declare type SchemaGroupMeta = Partial<IGroupMeta>;
export interface ISchemaGroup {
    attributes?: ISchemaAttribute[];
    metrics?: ISchemaMetric[];
    facts?: ISchemaFact[];
    dateDataSets?: ISchemaDateDataSet[];
    featureFlags?: IFeatureFlags;
    meta?: SchemaGroupMeta;
}
