import { LayoutContentSchema } from "./LayoutSchema";
import { IFluidLayoutSize, IFluidLayoutColSize, SectionHeader } from "@gooddata/typings";
export interface IFluidLayoutSchema {
    fluidLayout: {
        rows: IFluidLayoutRowSchema[];
        size?: IFluidLayoutSize;
        style?: string;
    };
}
export interface IFluidLayoutRowSchema {
    columns: IFluidLayoutColumnSchema[];
    style?: string;
    header?: SectionHeader;
}
export interface IFluidLayoutColumnSchema {
    content?: LayoutContentSchema;
    size: IFluidLayoutColSize;
    style?: string;
}
