// (C) 2007-2019 GoodData Corporation
export function getPage<T>(items: T[], offset: number = 0, limit?: number): T[] {
    if (isNaN(limit)) {
        return items.slice(offset);
    }

    return items.slice(offset, offset + limit);
}
