// (C) 2019 GoodData Corporation
import { toAfm } from "../../toAfm";
import {
    executionWithoutTotals,
    executionWithTotals,
    tableWithoutTotals,
    tableWithTotals,
} from "./totals.fixtures";

describe("totals toAfmResultSpec", () => {
    it("should not contain afm.native totals attribute", () => {
        const executionObject = toAfm(tableWithoutTotals);
        expect(executionObject).toEqual(executionWithoutTotals);
    });

    it("should convert table grand totals", () => {
        const executionObject = toAfm(tableWithTotals);
        expect(executionObject).toEqual(executionWithTotals);
    });
});
