// (C) 2019 GoodData Corporation
import { ExtendedDateFilters } from "@gooddata/typings";
import { IMetadataObject } from "./MetadataObject";

export interface IWrappedDateFilterConfig {
    dateFilterConfig: ExtendedDateFilters.IDateFilterConfig;
}

export function isDateFilterConfig(object: IMetadataObject): object is ExtendedDateFilters.IDateFilterConfig {
    return object.meta.category === "dateFilterConfig";
}
