// (C) 2007-2019 GoodData Corporation
export interface IFeatureFlagsDictionary {
    [flagName: string]: boolean;
}

export type IFeatureFlags = IFeatureFlagsDictionary & {
    "msf.canExecuteScripts"?: boolean;
    analyticalDesigner?: boolean;
    appendDrillFilters?: boolean;
    dashboardScheduleRecipients?: boolean;
    disableCellLimit?: boolean;
    disableDefaultBulkUpload?: boolean;
    disableSavedFilters?: boolean;
    disableSFEmbedding?: boolean;
    enableAnalyticalDashboards?: boolean;
    enableAnalyticalDashboardsVisualizations?: boolean;
    enableAttributeFilters?: boolean;
    enableChangeLanguage?: boolean;
    enableCsvUploader?: boolean;
    enableDataExplorer?: boolean;
    enableFilterLift?: boolean;
    enableMultipleDashboards?: boolean;
    enablePortalLocalization?: boolean;
    enableScriptBundlerExecution?: boolean;
    hideDashboardSchedule?: boolean;
    hideKPIAlertLinks?: boolean;
    lcmMilestone2Disabled?: boolean;
    lcmMilestone3Disabled?: boolean;
    npsDebug?: boolean;
    npsStatus?: boolean;
    pardotTransformProspectsWithoutCampaign?: boolean;
    reportInfoPanelHack?: boolean;
    runTruncateInCleanupInZD4?: boolean;
    sendScheduledMailWithError?: boolean;
    useS3DownloadInZD4?: boolean;
    enableMetricDateFilter?: boolean;
};
