// (C) 2007-2019 GoodData Corporation

export interface IStyleSettingsResponse {
    styleSettings: IStyleSettings;
}

export interface IStyleSettings {
    chartPalette: IColorPalette;
    chartFont?: IChartFont;
}

export interface IChartFont {
    family: string;
}

export type IColorPalette = IColorPaletteItem[];

export interface IColor {
    r: number;
    g: number;
    b: number;
}

export interface IColorPaletteItem {
    guid: string;
    fill: IColor;
}
