// (C) 2007-2019 GoodData Corporation
import { VisualizationClass } from "@gooddata/typings";
import { IMetadataObject } from "./MetadataObject";

export function isVisualizationClass(
    object: IMetadataObject,
): object is VisualizationClass.IVisualizationClass {
    return object.meta.category === "visualizationClass";
}
