// (C) 2007-2019 GoodData Corporation
import { VisualizationObject } from "@gooddata/typings";
import { IMetadataObject } from "./MetadataObject";

export interface IWrappedVisualizationObject {
    visualizationObject: VisualizationObject.IVisualizationObject;
}

export function isVisualizationObject(
    object: IMetadataObject,
): object is VisualizationObject.IVisualizationObject {
    return object.meta.category === "visualizationObject";
}
