// (C) 2007-2019 GoodData Corporation
import { IFilterContext } from "./FilterContext";
import { IKpi } from "./Kpi";
import { VisualizationObject } from "@gooddata/typings";
import { IVisualizationWidget } from "./VisualizationWidget";

export type Widget = IFilterContext | IKpi | VisualizationObject.IVisualizationObject | IVisualizationWidget;

export function getWidgetUri(widget: Widget) {
    return widget.meta.uri;
}

export function getWidgetId(widget: Widget) {
    return widget.meta.identifier;
}

export function getWidgetCategory(widget: Widget) {
    return widget.meta.category;
}
