// (C) 2007-2019 GoodData Corporation
import { VisualizationObject, VisualizationClass } from "@gooddata/typings";
import { IWrappedAnalyticalDashboard } from "./AnalyticalDashboard";
import { IWrappedAttribute } from "./Attribute";
import { IWrappedAttributeDisplayForm } from "./AttributeDisplayForm";
import { IWrappedDateDataSet } from "./DateDataSet";
import { IWrappedDateFilterConfig } from "./DateFilterConfig";
import { IWrappedFact } from "./Fact";
import { IWrappedFilterContext } from "./FilterContext";
import { IWrappedKpi } from "./Kpi";
import { IWrappedKpiAlert } from "./KpiAlert";
import { IWrappedMetric } from "./Metric";
import { IWrappedVisualizationWidget } from "./VisualizationWidget";

export type WrappedMetadataObject =
    | IWrappedAnalyticalDashboard
    | IWrappedAttribute
    | IWrappedAttributeDisplayForm
    | IWrappedDateDataSet
    | IWrappedDateFilterConfig
    | IWrappedFact
    | IWrappedFilterContext
    | IWrappedKpi
    | IWrappedKpiAlert
    | IWrappedMetric
    | VisualizationObject.IVisualization
    | VisualizationClass.IVisualizationClassWrapped
    | IWrappedVisualizationWidget;
