// (C) 2007-2019 GoodData Corporation
import { buildProject } from "../../builder";
import { schema } from "../../fixtures/dummySchema";

it("should build kpiAlerts", () => {
    expect(buildProject(schema).kpiAlerts).toEqual([
        {
            content: {
                kpi: "/gdc/md/mockproject/obj/fds_kpi",
                dashboard: "/gdc/md/mockproject/obj/dash.a",
                threshold: 30,
                isTriggered: true,
                whenTriggered: "underThreshold",
                filterContext: "/gdc/md/mockproject/obj/fd_fc",
            },
            meta: {
                author: "/gdc/account/profile/john-doe",
                category: "kpiAlert",
                identifier: "alert.fds_kpi.dash_a",
                title: "kpi alert",
                uri: "/gdc/md/mockproject/obj/alert.fds_kpi.dash_a",
            },
        },
    ]);
});
