// (C) 2007-2019 GoodData Corporation
export interface ISchemaDateDataSet {
    title: string;
    tags?: string;

    /**
     * Date dataset will include dates since "startDate"
     *
     * Default start date is Jan 1st, 2015
     */
    startDate?: string;

    /**
     * Date dataaset will include dates till "finalDate"
     *
     * Default final date is "today"
     */
    finalDate?: string;
}
