// (C) 2007-2020 GoodData Corporation
import { SchemaDrillDefinition } from "./SchemaDrillDefinition";
import { PossibleFilters } from "../../model/VisualizationWidget";

export interface ISchemaVisualizationWidget {
    identifier?: string;
    dateDataSetUri: string;
    title: string;
    visualizationUri: string;
    ignoreDashboardFilters?: PossibleFilters[];
    drills?: SchemaDrillDefinition[];
    properties?: string;
}
