// (C) 2007-2019 GoodData Corporation
import {
    IPersistedWidgetSchema,
    LayoutContentSchema,
    LayoutSchema,
} from "../schema/model/layout/LayoutSchema";
import { IFluidLayoutSchema } from "../schema/model/layout/FluidLayoutSchema";

export function isPersistedLayoutWidget(
    widgetSchema: LayoutContentSchema,
): widgetSchema is IPersistedWidgetSchema {
    return (widgetSchema as IPersistedWidgetSchema).widget !== undefined;
}

export function isFluidLayout(layoutSchema: LayoutSchema): layoutSchema is IFluidLayoutSchema {
    return (layoutSchema as IFluidLayoutSchema).fluidLayout !== undefined;
}
